<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [purchaseAugmentation](./bitburner.singularity.purchaseaugmentation.md)

## Singularity.purchaseAugmentation() method

Purchase an augmentation

**Signature:**

```typescript
purchaseAugmentation(faction: string, augmentation: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  faction | string | Name of faction to purchase Augmentation from. |
|  augmentation | string | Name of Augmentation to purchase. |

**Returns:**

boolean

True if the Augmentation is successfully purchased, and false otherwise.

## Remarks

RAM cost: 5 GB \* 16/4/1

This function will try to purchase the specified Augmentation through the given Faction.

This function will return true if the Augmentation is successfully purchased, and false otherwise.

